/* (c) Magnus Auvinen. See licence.txt in the root of the distribution for more information. */
/* If you are missing that file, acquire a complete release at teeworlds.com.                */
#ifndef GAME_SERVER_GAMEMODES_TEEKING_H
#define GAME_SERVER_GAMEMODES_TEEKING_H
#include <game/server/gamecontroller.h>
#include <engine/shared/protocol.h>

// you can subclass GAMECONTROLLER_CTF, GAMECONTROLLER_TDM etc if you want
// todo a modification with their base as well.
class CGameControllerTEEKING : public IGameController
{
public:
	CGameControllerTEEKING(class CGameContext *pGameServer);
	virtual void Tick();
	virtual void StartRound();
	// add more virtual functions here if you wish

	int king_resp;
};
#endif
